Browse Source

prepare-release: declare the packages needed as source build deps.

Steve Langasek 12 years ago
parent
commit
fb83d0ccdd
1 changed files with 4 additions and 0 deletions
  1. 4 0
      prepare-release

+ 4 - 0
prepare-release

@@ -1,11 +1,15 @@
 #!/bin/sh
 
+set -e
+
 VERSION=$(dpkg-parsechangelog | sed -n -e '/^Version:/s/^Version: //p')
 DISTRIBUTION=$(dpkg-parsechangelog | sed -n -e '/^Distribution:/s/^Distribution: //p')
 
 LIBAPTPKGVERSION="$(awk -v ORS='.' '/^\#define APT_PKG_M/ {print $3}' apt-pkg/init.h | sed 's/\.$//')"
 LIBAPTINSTVERSION="$(egrep '^MAJOR=' apt-inst/makefile |cut -d '=' -f 2)"
 
+dpkg-checkbuilddeps -d 'libxml2-utils'
+
 if [ "$1" = 'pre-export' ]; then
 	libraryversioncheck() {
 		local LIBRARY="$1"